/* 字体大小变量 */
/* 字体大小 */
.font_size_huge {
  font-size: 22px;
}
.font_size_max {
  font-size: 20px;
}
.font_size_mid {
  font-size: 18px;
}
.font_size_small {
  font-size: 16px;
}
.font_bold {
  font-weight: bold;
}
.color_topic {
  color: #409eff;
}
.flex_div {
  display: flex;
  align-items: center;
}
div {
  box-sizing: border-box;
}
.top_line {
  width: 100%;
  border-top: 8px solid #f1f1f1;
}
/* element push 样式*/
.add_title {
  color: #666666;
  font-size: 24px;
  font-weight: bold;
}
.add_button {
  background-color: #5050fa;
  color: #fff;
  border-color: #5050fa;
}
.add_button:hover {
  opacity: 0.8;
  border-color: #5050fa;
}
.del_button {
  border-color: #e30000;
  background-color: #e30000;
  color: #fff;
}
.del_button:hover {
  opacity: 0.8;
}
.edit_button {
  background-color: #14c700;
  color: #fff;
  border-color: #14c700;
}
.edit_button:hover {
  opacity: 0.8;
  border-color: #14c700;
}
.btn_icon {
  margin-right: 10px;
}
/* 按钮大小样式*/
.btn_max {
  padding: 20px;
  font-size: 20px;
}
.btn_mid {
  padding: 16px;
  font-size: 16px;
}
.btn_min {
  padding: 12px;
  font-size: 12px;
}
/*多选框大小*/
.checkbox_big {
  transform: scale(1.5);
  font-weight: bold;
}
.checkbox_mid {
  transform: scale(1.3);
  margin-right: 50px;
}
.el-checkbox__input.is-checked .el-checkbox__inner {
  background-color: #5050fa !important;
  border-color: #5050fa !important;
}
.el-checkbox__inner:hover {
  border-color: #5050fa !important;
}
.el-checkbox__label {
  color: #000 !important;
}
.el-checkbox__input.is-checked + .el-checkbox__label {
  color: #000 !important;
}
/deep/ .el-input__wrapper.is-focus {
  box-shadow: 0 0 0 1px #5050fa inset !important;
}
.border_font_color {
  border-color: #5050fa;
  color: #5050fa;
}
.border_font_color /deep/ .el-tag__close {
  color: #5050fa;
}
.border_font_color /deep/ .el-tag__close:hover {
  color: #fff;
  background-color: #5050fa;
}
.el-dialog__headerbtn:focus .el-dialog__close,
.el-dialog__headerbtn:hover .el-dialog__close {
  color: #5050fa !important;
}
.el-textarea__inner:focus {
  box-shadow: 0 0 0 1px #5050fa inset !important;
}
/deep/ .el-cascader .el-input.is-focus .el-input__wrapper {
  box-shadow: 0 0 0 1px #5050fa inset !important;
}
.cascading .el-cascader-panel .el-cascader-node.in-active-path,
.cascading .el-cascader-panel .el-cascader-node.is-active,
.cascading .el-cascader-panel .el-cascader-node.is-selectable.in-checked-path {
  color: #5050fa;
  font-weight: 700;
}
.first_none .el-cascader-panel .el-scrollbar:first-child .el-checkbox {
  display: none;
}
.data_select .el-picker-panel .el-date-table td.today .el-date-table-cell__text {
  color: #5050fa;
}
.data_select .el-picker-panel .el-date-table td.available:hover {
  color: #5050fa;
}
.data_select
  .el-picker-panel
  .el-date-table
  td.current:not(.disabled)
  .el-date-table-cell__text {
  background-color: #5050fa;
}
.data_select .el-picker-panel .el-year-table td.current:not(.disabled) .cell {
  color: #5050fa;
}
.data_select .el-picker-panel .el-year-table td .cell:hover {
  color: #5050fa;
}
.data_select .el-picker-panel .el-date-picker__header-label:hover {
  color: #5050fa;
}
.data_select .el-picker-panel .el-picker-panel__icon-btn:hover {
  color: #5050fa;
}
.data_select .el-picker-panel .el-year-table td.today .cell {
  color: #5050fa;
  font-weight: 700;
}
.data_select .el-picker-panel .el-month-table td.current:not(.disabled) .cell {
  color: #5050fa;
}
.data_select .el-picker-panel .el-month-table td.today .cell {
  color: #5050fa;
}
.data_select .el-picker-panel .el-month-table td .cell:hover {
  color: #5050fa;
}
div .el-select .el-input.is-focus .el-input__wrapper {
  box-shadow: 0 0 0 1px #5050fa inset !important;
}
div .el-select .el-input__wrapper.is-focus {
  box-shadow: 0 0 0 1px #5050fa inset !important;
}
.el-select-dropdown__item.selected {
  color: #5050fa !important;
}
.el-radio__input.is-checked .el-radio__inner {
  border-color: #5050fa !important;
  background: #5050fa !important;
}
.el-radio__input.is-checked + .el-radio__label {
  color: #5050fa !important;
}
.el-radio__inner:hover {
  border-color: #5050fa !important;
}
.bac_col_purple {
  background-color: #5050fa;
}
.bac_col_gray {
  background-color: #f2f2f2;
}
.bac_col_deep_gray {
  background-color: #a8abb2;
}
.border_color_translation {
  border-color: transparent;
}
.bac_col_red {
  background-color: #ff0000;
}
.btn_color_red {
  color: #ff0000;
}
.btn_color {
  color: white;
}
.header_title_mess {
  color: #666666;
  font-size: 22px;
  font-weight: bold;
}
.font_size_12 {
  font-size: 12px;
}
.font_size_14 {
  font-size: 14px;
}
.font_size_16 {
  font-size: 16px;
}
.font_size_18 {
  font-size: 18px;
}
.font_size_20 {
  font-size: 20px;
}
.uploadDelectPosition /deep/ .el-upload-list__item-actions .el-upload-list__item-preview {
  display: none;
}
.uploadDelectPosition /deep/ .el-upload-list__item-actions .el-upload-list__item-delete {
  position: absolute;
  top: calc(50% - 10px);
  left: calc(-50% - 55px);
}
.btns {
  user-select: none;
  cursor: pointer;
}
.flex_row {
  display: flex;
  align-items: center;
}
.flex_row_warp {
  flex-wrap: wrap;
}
.flex_col {
  display: flex;
  flex-direction: column;
}
.justify_con_around {
  justify-content: space-around;
}
.justify_con_between {
  justify-content: space-between;
}
.justify_con_end {
  justify-content: flex-end;
}
.justify_con_center {
  justify-content: center;
}
.flex_shrink_0 {
  flex-shrink: 0;
}
.flex_row_w {
  width: 0;
  flex: 1;
}
/* 表格通用样式 */
.table_center.el-table th.el-table__cell {
  background-color: #f2f2f2;
}
.table_center.el-table th.el-table__cell > .cell {
  color: #666666;
  text-align: center;
  font-size: 20px;
  padding-top: 8px;
  padding-bottom: 8px;
}
.table_center.el-table .el-table__cell {
  color: #666666;
  text-align: center;
  font-size: 18px;
  padding-top: 16px;
  padding-bottom: 16px;
}
.el-table .el-table__cell.column_box_l {
  text-align: left;
}
.el-table th.el-table__cell.column_title_l > .cell {
  text-align: left;
}
.el-table .el-table__cell.column_box_cen {
  text-align: left;
}
.el-table th.el-table__cell.column_title_cen > .cell {
  text-align: left;
}
.el-table .el-table__cell.column_box_r {
  text-align: left;
}
.el-table th.el-table__cell.column_title_r > .cell {
  text-align: left;
}
.el-table .el-table__cell.column_flex > .cell {
  display: flex;
  justify-content: center;
}
.border_color_translation {
  border-color: transparent !important;
}
.viewPadding {
  min-height: 100vh;
  padding: 20px 40px 10px;
  background-color: white;
}
/deep/ .headerCellTableClassName {
  padding: 5px !important;
  font-size: 16px;
}
/deep/ .cellTableClassName {
  font-size: 16px;
  padding-top: 8px !important;
  padding-bottom: 8px !important;
}
/deep/ .el-dialog {
  border-radius: 10px;
}
/deep/ .el-dialog .el-dialog__body {
  padding-left: 40px;
  padding-right: 40px;
}
/deep/ .el-dialog .el-dialog__footer {
  padding-right: 40px;
}
.submit-model {
  border-radius: 7px !important;
}
.submit-model .el-message-box__btns .el-button:nth-child(2) {
  background-color: #5050fa;
  border-color: transparent;
}
